#include "cpsp/Exception.hh"

namespace cpsp
{

	unsigned int Exception::errorCount = 0;


	Exception::Exception(): 
		outString("\nException raised\n"), retValue(-1)  
	{ 
		errorCount++; 
	}
	
	Exception::Exception(const std::string &outString) : 
		outString(outString), retValue(-1) 
	{ 
		errorCount++; 
	}
	
	Exception::Exception(const std::string &outString, const int retValue) : 
		outString(outString), retValue(retValue) 
	{ 
		errorCount++; 
	}
	
	Exception::~Exception() {
	}

	std::ostream& operator<< (std::ostream& os, const Exception& p) {
		if (&p == NULL)
			os <<"NULL";
		else
			os <<p.toString();
		return os;
	}

} // namespace cpsp
